package com.r3944realms.modernlifepatch.client.render;

import com.r3944realms.modernlifepatch.data.SpecialHitBoxBlockType;
import net.minecraft.core.Direction;
import net.minecraft.world.level.block.state.properties.EnumProperty;

public interface ISpecialHitBoxType {
    boolean hasSpecialHitbox();
    EnumProperty<Direction> getFaceDirection();
    String getSTName();
    SpecialHitBoxBlockType getSpecialHitBoxType();
}
